## node-eio 0.0.2

=== wscript ===
import os
import Options
from Configure import ConfigurationError

TARGET = 'eio'
TARGET_FILE = '%s.node' % TARGET

def set_options(opt):
  opt.tool_options("compiler_cxx")

def configure(conf):
  conf.check_tool("compiler_cxx")
  conf.check_tool("node_addon")

  linkflags = []
  if os.environ.has_key('LINKFLAGS'):
    linkflags.extend(os.environ['LINKFLAGS'].split(' '))
  conf.env.append_value("LINKFLAGS", linkflags)

def build(bld):
  obj = bld.new_task_gen("cxx", "shlib", "node_addon")
  obj.cxxflags = ["-g", "-D_FILE_OFFSET_BITS=64", "-D_LARGEFILE_SOURCE", "-Wall"]
  obj.target = TARGET
  obj.source = "src/eio.cc"

=== debian/changelog ===
node-eio (0.0.2-1) unstable; urgency=low

  * Initial release (Closes: #646406)

 -- David Paleino <dapal@debian.org>  Wed, 26 Oct 2011 10:16:19 +0200

=== debian/control ===
Source: node-eio
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
 , nodejs-dev
Standards-Version: 3.9.2
Homepage: http://search.npmjs.org/#/eio
Vcs-Git: git://git.debian.org/collab-maint/node-eio.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-eio.git;a=summary

Package: node-eio
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: libeio wrapper for NodeJS
 node-eio provides control for libeio from NodeJS.

## node-eio 0.1.0

=== Makefile ===
build:
	node-waf build

.PHONY: build

=== wscript ===
--- 
+++ 
@@ -1,9 +1,11 @@
 import os
 import Options
 from Configure import ConfigurationError
+from shutil import copy2 as copy
 
 TARGET = 'eio'
 TARGET_FILE = '%s.node' % TARGET
+dest = 'lib/%s' % TARGET_FILE
 
 def set_options(opt):
   opt.tool_options("compiler_cxx")
@@ -22,3 +24,15 @@
   obj.cxxflags = ["-g", "-D_FILE_OFFSET_BITS=64", "-D_LARGEFILE_SOURCE", "-Wall"]
   obj.target = TARGET
   obj.source = "src/eio.cc"
+
+def shutdown():
+  if Options.commands['clean']:
+      if os.path.exists(TARGET_FILE):
+        unlink(TARGET_FILE)
+  else:
+    if os.path.exists('build/Release/%s' % TARGET_FILE):
+      copy('build/Release/%s' % TARGET_FILE, dest)
+    elif os.path.exists('build/default/%s' % TARGET_FILE):
+      copy('build/default/%s' % TARGET_FILE, dest)
+    
+

=== debian/changelog ===
node-eio (0.1.0-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.3, no changes needed
  * Fix installation of eio.node (Closes: #665058)
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 22 Mar 2012 14:33:09 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper (>= 8~)
  , dh-buildinfo
  , nodejs-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://search.npmjs.org/#/eio
 Vcs-Git: git://git.debian.org/collab-maint/node-eio.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-eio.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

override_dh_auto_configure:
	node-waf configure

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .lock-wscript build/

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-eio.substvars \
		$(CURDIR)/debian/node-eio/usr/lib/nodejs/eio.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-eio/usr/lib/nodejs/eio.node

=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=eio \
	http://registry.npmjs.org/eio/-/eio-(\d+.*)\.tgz
